<?php
return [
    'Inicio' => [
        'breadcrumbs' => false,
        'icon' => 'menu-icon tf-icons ti ti-home',
        'description' => 'Accede rápidamente a las funciones principales y configuraciones del sistema.',
        'submenu' => [
            'Inicio' => [
                'icon' => 'menu-icon tf-icons ti ti-home',
                'route' => 'admin.core.home.index',
            ],
            'Sitio web' => [
                'icon' => 'menu-icon tf-icons ti ti-world-www',
                'url' => env('APP_URL'),
            ],
            'Usuarios y permisos' => [
                'icon' => 'menu-icon tf-icons ti ti-user-cog',
                'description' => 'Gestiona usuarios, roles y permisos de acceso dentro del sistema.',
                'submenu' => [
                    'Usuarios' => [
                        'icon' => 'menu-icon tf-icons ti ti-users',
                        'route' => 'admin.core.users.index',
                        'can' => 'admin.core.users.view',
                    ],
                    'Roles' => [
                        'icon' => 'menu-icon tf-icons ti ti-lock-access',
                        'route' => 'admin.core.roles.index',
                        'can' => 'admin.core.roles.view',
                    ],
                    'Permisos' => [
                        'icon' => 'menu-icon tf-icons ti ti-key',
                        'route' => 'admin.core.permissions.index',
                        'can' => 'admin.core.permissions.view',
                    ]
                ]
            ],
            'Ajustes generales' => [
                'icon' => 'menu-icon tf-icons ti ti-settings-cog',
                'description' => 'Configura los parámetros generales y optimiza el rendimiento del ERP.',
                'submenu' => [
                    'Ajustes de aplicación' => [
                        'icon' => 'menu-icon tf-icons ti ti-device-desktop-cog',
                        'description' => 'Configuraciones globales del sistema.',
                        'route' => 'admin.core.general-settings.index',
                        'can' => 'admin.core.general-settings.view',
                    ],
                    'Caché de sistema' => [
                        'icon' => 'menu-icon tf-icons ti ti-cpu',
                        'description' => 'Administración y limpieza de caché para mejorar el rendimiento.',
                        'route' => 'admin.core.cache-manager.index',
                        'can' => 'admin.core.cache-manager.view',
                    ],
                    'Ajustes de interfaz' => [
                        'icon' => 'menu-icon tf-icons ti ti-template',
                        'description' => 'Configuración de la apariencia y comportamiento de la interfaz.',
                        'route' => 'admin.core.interface-settings.index',
                        'can' => 'admin.core.interface-settings.view',
                    ],
                    'Servidor de correo SMTP' => [
                        'icon' => 'menu-icon tf-icons ti ti-mail-cog',
                        'description' => 'Configuración de los servidores de correo para notificaciones.',
                        'route' => 'admin.core.smtp-settings.index',
                        'can' => 'admin.core.smtp-settings.view',
                    ],
                    'Configuraciones globales' => [
                        'icon' => 'menu-icon tf-icons ti ti-settings-code',
                        'description' => 'Configuración de parámetros globales del sistema.',
                        'route' => 'admin.core.global-settings.index',
                        'can' => 'admin.core.global-settings.view',
                    ]
                ]
            ],
            'Cuenta de usuario' => [
                'icon' => 'menu-icon tf-icons ti ti-user',
                'route' => 'admin.core.user-profile.index',
            ],
            'Acerca de' => [
                'icon' => 'menu-icon tf-icons ti ti-cat',
                'route' => 'admin.core.about.index',
            ],
        ],
    ],
    'Sitio web' => [
        'icon' => 'menu-icon tf-icons ti ti-tools',
        'description' => 'Administra la configuración y contenido de tu sitio web empresarial.',
        'submenu' => [
            'Ajustes generales' => [
                'icon' => 'menu-icon tf-icons ti ti-tools',
                'route' => 'admin.website-admin.general-settings.index',
                'can' => 'admin.website-admin.general-settings.view',
            ],
            'Avisos legales' => [
                'icon' => 'menu-icon tf-icons ti ti-writing-sign',
                'route' => 'admin.website-admin.legal-notices.index',
                'can' => 'admin.website-admin.legal-notices.view',
            ],
            'Preguntas frecuentes' => [
                'icon' => 'menu-icon tf-icons ti ti-bubble-text',
                'route' => 'admin.website-admin.faq.index',
                'can' => 'admin.website-admin.faq.view',
            ],
            'Redes sociales' => [
                'icon' => 'menu-icon tf-icons ti ti-share',
                'route' => 'admin.website-admin.social-media.index',
                'can' => 'admin.website-admin.social-media.view',
            ],
            'Chat' => [
                'icon' => 'menu-icon tf-icons ti ti-message-cog',
                'route' => 'admin.website-admin.chat.index',
                'can' => 'admin.website-admin.chat.view',
            ],
            'Galería de imágenes' => [
                'icon' => 'menu-icon tf-icons ti ti-photo-cog',
                'route' => 'admin.website-admin.images.index',
                'can' => 'admin.website-admin.images.view',
            ],
            'Google analytics' => [
                'icon' => 'menu-icon tf-icons ti ti-chart-scatter-3d',
                'route' => 'admin.website-admin.google-analytics.index',
                'can' => 'admin.website-admin.google-analytics.view',
            ],
            'Información de contacto' => [
                'icon' => 'menu-icon tf-icons ti ti-device-mobile-message',
                'route' => 'admin.website-admin.contact-info.index',
                'can' => 'admin.website-admin.contact-info.view',
            ],
            'Formulario de contacto' => [
                'icon' => 'menu-icon tf-icons ti ti-mail-cog',
                'route' => 'admin.website-admin.contact-form.index',
                'can' => 'admin.website-admin.contact-form.view',
            ],
            'Mapa del sitio' => [
                'icon' => 'menu-icon tf-icons ti ti-hierarchy',
                'route' => 'admin.website-admin.sitemap.index',
                'can' => 'admin.website-admin.sitemap.view',
            ],
        ]
    ],
    'Porto Template' => [
        'icon' => 'menu-icon tf-icons ti ti-template',
        'description' => 'Gestiona la plantilla Porto, sus widgets y elementos de diseño.',
        'submenu' => [
            'Porto Template' => [
                'icon' => 'menu-icon tf-icons ti ti-template',
                'route' => 'admin.website-porto-layout.template.index',
                'can' => 'admin.website-porto-layout.template.view',
            ],
            'Banners' => [
                'icon' => 'menu-icon tf-icons ti ti-slideshow',
                'route' => 'admin.website-porto-layout.banners.index',
                'can' => 'admin.website-porto-layout.banners.view',
            ],
            'Porto Widgets' => [
                'icon' => 'menu-icon tf-icons ti ti-fidget-spinner',
                'route' => 'admin.website-porto-layout.widgets.index',
                'can' => 'admin.website-porto-layout.widgets.view',
            ],
            'CSS personalizado' => [
                'icon' => 'menu-icon tf-icons ti ti-file-type-css',
                'route' => 'admin.website-porto-layout.custom-css.index',
                'can' => 'admin.website-porto-layout.custom-css.view',
            ],
        ]
    ],

    'Blog' => [
        'icon' => 'menu-icon tf-icons ti ti-news',
        'description' => 'Publica, edita y organiza artículos, categorías y comentarios de tu blog.',
        'submenu' => [
            'Categorias' => [
                'icon' => 'menu-icon tf-icons ti ti-category',
                'route' => 'admin.blog.categories.index',
                'can' => 'admin.blog.categories.view',
            ],
            'Etiquetas' => [
                'icon' => 'menu-icon tf-icons ti ti-tags',
                'route' => 'admin.blog.tags.index',
                'can' => 'admin.blog.tags.view',
            ],
            'Articulos' => [
                'icon' => 'menu-icon tf-icons ti ti-news',
                'route' => 'admin.blog.articles.index',
                'can' => 'admin.blog.articles.view',
            ],
            'Comentarios' => [
                'icon' => 'menu-icon tf-icons ti ti-message',
                'route' => 'admin.blog.comments.index',
                'can' => 'admin.blog.comments.view',
            ],
        ]
    ],

    'Chatbot' => [
        'icon' => 'menu-icon tf-icons ti ti-robot',
        'description' => 'Configura y monitorea el chatbot de atención al cliente y soporte automático.',
        'submenu' => [
            'Dashboard Chatbot' => [
                'icon' => 'menu-icon tf-icons ti ti-dashboard',
                'route' => 'client.chatbot.dashboard.index',
                'can' => 'client.chatbot.dashboard.view',
            ],

            'Conversaciones' => [
                'icon' => 'menu-icon tf-icons ti ti-messages',
                'submenu' => [
                    'Mis Conversaciones' => [
                        'icon' => 'menu-icon tf-icons ti ti-message-chatbot',
                        'route' => 'client.chatbot.my-conversations.index',
                        'can' => 'client.chatbot.my-conversations.view',
                    ],
                    'Conversaciones de Clientes' => [
                        'icon' => 'menu-icon tf-icons ti ti-users',
                        'route' => 'client.chatbot.customers-conversations.index',
                        'can' => 'client.chatbot.customers-conversations.view',
                    ],
                    'Conversaciones de Empleados' => [
                        'icon' => 'menu-icon tf-icons ti ti-id-badge-2',
                        'route' => 'client.chatbot.employees-conversations.index',
                        'can' => 'client.chatbot.employees-conversations.view',
                    ],
                    'Visitantes Anónimos' => [
                        'icon' => 'menu-icon tf-icons ti ti-user-question',
                        'route' => 'client.chatbot.guests.index',
                        'can' => 'client.chatbot.guests.view',
                    ],
                ],
            ],

            'Bases de Conocimiento' => [
                'icon' => 'menu-icon tf-icons ti ti-books',
                'submenu' => [
                    'Preguntas Frecuentes' => [
                        'icon' => 'menu-icon tf-icons ti ti-bubble-text',
                        'route' => 'client.chatbot.faq.index',
                        'can' => 'client.chatbot.faq.view',
                    ],
                    'Entrenamiento del Bot' => [
                        'icon' => 'menu-icon tf-icons ti ti-school',
                        'route' => 'client.chatbot.training.index',
                        'can' => 'client.chatbot.training.manage',
                    ],
                    'Documentos y Recursos' => [
                        'icon' => 'menu-icon tf-icons ti ti-file-description',
                        'route' => 'client.chatbot.resources.index',
                        'can' => 'client.chatbot.resources.view',
                    ],
                ],
            ],

            'Analítica y Monitoreo' => [
                'icon' => 'menu-icon tf-icons ti ti-chart-infographic',
                'submenu' => [
                    'Estadísticas Generales' => [
                        'icon' => 'menu-icon tf-icons ti ti-chart-bar',
                        'route' => 'client.chatbot.analytics.general.index',
                        'can' => 'client.chatbot.analytics.general.view',
                    ],
                    'Uso por Clientes' => [
                        'icon' => 'menu-icon tf-icons ti ti-users',
                        'route' => 'client.chatbot.analytics.customers.index',
                        'can' => 'client.chatbot.analytics.customers.view',
                    ],
                    'Uso por Sucursal' => [
                        'icon' => 'menu-icon tf-icons ti ti-building-store',
                        'route' => 'client.chatbot.analytics.branch.index',
                        'can' => 'client.chatbot.analytics.branch.view',
                    ],
                    'Reportes Avanzados' => [
                        'icon' => 'menu-icon tf-icons ti ti-report-analytics',
                        'route' => 'client.chatbot.analytics.advanced.index',
                        'can' => 'client.chatbot.analytics.advanced.view',
                    ],
                ],
            ],

            'Configuración Avanzada' => [
                'icon' => 'menu-icon tf-icons ti ti-settings-cog',
                'submenu' => [
                    'Selección Proveedor IA' => [
                        'icon' => 'menu-icon tf-icons ti ti-brain',
                        'route' => 'client.chatbot.settings.providers.index',
                        'can' => 'client.chatbot.providers-config.manage',
                    ],
                    'Parámetros del Bot' => [
                        'icon' => 'menu-icon tf-icons ti ti-adjustments',
                        'route' => 'client.chatbot.settings.parameters.index',
                        'can' => 'client.chatbot.settings.parameters.manage',
                    ],
                    'Presupuesto Mensual IA' => [
                        'icon' => 'menu-icon tf-icons ti ti-wallet',
                        'route' => 'client.chatbot.settings.budget.index',
                        'can' => 'client.chatbot.settings.budget.manage',
                    ],
                ],
            ],

            'Preferencias Personales' => [
                'icon' => 'menu-icon tf-icons ti ti-user-cog',
                'submenu' => [
                    'Preferencias de Notificación' => [
                        'icon' => 'menu-icon tf-icons ti ti-bell',
                        'route' => 'client.chatbot.notifications.index',
                        'can' => 'client.chatbot.notifications.view',
                    ],
                    'Privacidad y Datos Personales' => [
                        'icon' => 'menu-icon tf-icons ti ti-lock',
                        'route' => 'client.chatbot.privacy.index',
                        'can' => 'client.chatbot.privacy.view',
                    ],
                ],
            ],

        ],
    ],

];
